KARCH_DEFINE = -DKARCH_SPARC
KOPSYS_DEFINE = -DKOPSYS_SOLARIS
KCONFIG_DEFINE = -DKCONFIG_DEFINE=\"solaris\"
BOOTSTRAP_PATH = /proj/cim/khoros2.2/bootstrap
BOOTSTRAP_LIBDIR = /proj/cim/khoros2.2/lib
BOOTSTRAP_BINDIR = /proj/cim/khoros2.2/bin
DATASERV_PATH = /proj/cim/khoros2.2/dataserv
DATASERV_LIBDIR = /proj/cim/khoros2.2/lib
DATASERV_BINDIR = /proj/cim/khoros2.2/bin
DESIGN_PATH = /proj/cim/khoros2.2/design
DESIGN_LIBDIR = /proj/cim/khoros2.2/lib
DESIGN_BINDIR = /proj/cim/khoros2.2/bin
DIP_PATH = /proj/cim/dipcourse-1.0
DIP_LIBDIR = /proj/cim/dipcourse-1.0/lib
DIP_BINDIR = /proj/cim/dipcourse-1.0/bin
TB_NAME = $(DIP_PATH)
TOOLBOX_PATH = /proj/cim/dipcourse-1.0
SHELL = /bin/sh
ARCH = solaris
MAKE = make
MV = mv
SED = sed
YACC = yacc
YFLAGS = -d
LEX = lex
LFLAGS = -n
LINT = lint -u
INSTALL = $(SCRIPTSRC)/bsdinst.sh
LIBLD = ld
RM = rm -f
TAGS = ctags
KGENMAKE = kgenmake
DEPEND = kgendepend
KGENIMAKE = kgenimake
BASENAME = /usr/bin/basename
SCRIPTSRC = $(BOOTSTRAP_PATH)/repos/config/scripts
FORTRANSCRIPT = $(SCRIPTSRC)/fortran.sh
GHOSTWRITER = ghostwriter
CONDUCTOR = conductor
KGENSTRUCT = kgenstruct
KLINT = klint
PROTOIZEFLAGS = -fstrength-reduce -fpcc-struct-return -fwritable-strings -ansi
EXTRA_INCLUDES = -I/usr/local/include
KLD_RUN_PATH = $(DIP_LIBDIR):$(DESIGN_LIBDIR):$(DATASERV_LIBDIR):$(BOOTSTRAP_LIBDIR):$${LD_RUN_PATH+$$LD_RUN_PATH}
OBJECTINCLUDE = $(TOOLBOX_INCLUDE)
OBJECTLIBDIR = $(TOOLBOX_LIBDIR)
OBJECTDEFINES = $(TOOLBOX_DEFINES)
ALLINCLUDES = $(OBJECTINCLUDE) $(EXTRA_INCLUDES) $(STD_INCLUDES)
ALLDEFINES = $(ALLINCLUDES) $(KARCH_DEFINE) $(KOPSYS_DEFINE) $(KCONFIG_DEFINE) $(OBJECTDEFINES) $(LOCALDEFINES) $(DEFINES)
LINTFLAGS = $(ALLDEFINES) $(ALLINCLUDES)
RM_CMD = $(RM) *.o core *.a tags ,* *~ *.i *.u *.B *.G *.T *.s .emacs_* tags TAGS .pure
MAKEFILE_CMD = $(KGENMAKE) $(IMAKE_DEFINES)
SYS_LIBRARIES = -lm -ll
X_LIBRARIES = -lXmu -lXt -lXext -lX11
EXTRA_LIBRARIES = -lsocket -lnsl -lgen
XLIBDIR = -L/usr/openwin/lib
XINCLUDES = -I/usr/openwin/include
ALLLIBDIRS = $(EXTRALIBDIR)
OBJS = $(YOBJS) $(LOBJS) $(COBJS) $(FOBJS) $(C++OBJS)
SRCS = $(YSRCS) $(LSRCS) $(CSRCS) $(FSRCS) $(C++SRCS)
TOOLBOX_INCLUDE = -I$(DIP_PATH)/include \
 		-I$(DESIGN_PATH)/include \
 		-I$(DATASERV_PATH)/include \
 		-I$(BOOTSTRAP_PATH)/include
TOOLBOX_LIBDIR = -L$(DIP_LIBDIR) \
 		-L$(DESIGN_LIBDIR) \
 		-L$(DATASERV_LIBDIR) \
 		-L$(BOOTSTRAP_LIBDIR)
C_TOOLBOX_LIBRARIES = -lkog \
 		-lkgm \
 		-lkapu \
 		-lkaps \
 		-lkdms \
 		-lkdac \
 		-lkfmt \
 		-lkgen \
 		-lkcms \
 		-lkclui \
 		-lkvf \
 		-lkexpr \
 		-lklibdb \
 		-lklm \
 		-lku
C_TOOLBOX_DEP_LIBRARIES = $(DATASERV_LIBDIR)/libkog.a \
 		$(DATASERV_LIBDIR)/libkgm.a \
 		$(DATASERV_LIBDIR)/libkapu.a \
 		$(DATASERV_LIBDIR)/libkaps.a \
 		$(DATASERV_LIBDIR)/libkdms.a \
 		$(DATASERV_LIBDIR)/libkdac.a \
 		$(DATASERV_LIBDIR)/libkfmt.a \
 		$(BOOTSTRAP_LIBDIR)/libkgen.a \
 		$(BOOTSTRAP_LIBDIR)/libkcms.a \
 		$(BOOTSTRAP_LIBDIR)/libkclui.a \
 		$(BOOTSTRAP_LIBDIR)/libkvf.a \
 		$(BOOTSTRAP_LIBDIR)/libkexpr.a \
 		$(BOOTSTRAP_LIBDIR)/libklibdb.a \
 		$(BOOTSTRAP_LIBDIR)/libklm.a \
 		$(BOOTSTRAP_LIBDIR)/libku.a
X_TOOLBOX_LIBRARIES = -lxvl \
 		-lxvf \
 		-lxvu \
 		-lxvs \
 		-lxvg \
 		-lxvobj \
 		-lkwid \
 		-lxvw
X_TOOLBOX_DEP_LIBRARIES = $(DESIGN_LIBDIR)/libxvl.a \
 		$(DESIGN_LIBDIR)/libxvf.a \
 		$(DESIGN_LIBDIR)/libxvu.a \
 		$(DESIGN_LIBDIR)/libxvs.a \
 		$(DESIGN_LIBDIR)/libxvg.a \
 		$(DESIGN_LIBDIR)/libxvobj.a \
 		$(DESIGN_LIBDIR)/libkwid.a \
 		$(DESIGN_LIBDIR)/libxvw.a
BINDIR = $(DIP_BINDIR)
LIBDIR = $(DIP_LIBDIR)
OBJECT_TYPE = script
TOOLBOX_NAME = dip
OBJECT_NAME = kedit
BINARY_NAME = kedit
SCRIPTS = kedit.csh
INSTSCRIPTFLAGS = -m 0755
Makefiles:
Imakefiles:
GenImakefiles:
gui:
purecov:
install-purecov: install
purify:
install-purify: install
quantify:
install-quantify: install
gendepend::
	       @true
depend::
	       @true
all:
sbrowser:
help:
RCSco:
	co -l $(SRCS) $(HEADERS) $(SCRIPTS)
RCSci:
	@if [ ! -d RCS ]; then mkdir RCS; fi;  	   ci $(SRCS) $(HEADERS) $(SCRIPTS)
tags::
	$(TAGS) -w *.[chfylCF] > tags
spotless: clean uninstall cleanout
klint::
	-$(KLINT) -tb $(TOOLBOX_NAME) -oname $(OBJECT_NAME)
install:: $(SCRIPTS)
	-@for i in $(SCRIPTS); do  	   ($(INSTALL) -c $(INSTPGMFLAGS) $(INSTSCRIPTFLAGS) $$i $(BINDIR)/`$(BASENAME) $$i .csh`;    echo "installing $$i in $(BINDIR)"); 	   done
uninstall::
	-@for i in $(SCRIPTS); do  	   ($(RM) $(BINDIR)/`$(BASENAME) $$i .csh`; 	   echo "removing `$(BASENAME) $$i .csh` from $(BINDIR)"); 	  done
struct::
	-@start=0;  	   for i in `echo "$(XSRCS) none"`; do  	   if [ "$$i" != "none" ]; then  	   echo "Running kgenstruct on $$i";  	   $(KGENSTRUCT) -x $$i;  	   start=1;      else  	   if [ "$$start" = "0" ]; then  	   echo "No *.x files";  	   fi;  	   fi;  	   done
clui::
	$(GHOSTWRITER) -force
gw::
	$(GHOSTWRITER) -force
clean::
	$(RM_CMD) \KCOM*
cleanout::
	$(RM_CMD) Makefile
Makefile::
	$(MAKEFILE_CMD)
Imakefile::
	$(KGENIMAKE) -tb $(TOOLBOX_NAME)
GenImakefile::
	$(KGENIMAKE) -tb $(TOOLBOX_NAME) -recreate
